<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="wrap_content"
    android:layout_height="match_parent"
    android:layout_margin="0dp"
    android:padding="0dp">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_alignParentEnd="true"
        android:layout_width="256dp"
        android:layout_height="match_parent"
        android:background="@drawable/menu_background">

        <ImageView
            android:id="@+id/menu_item_back"
            android:layout_width="27dp"
            android:layout_height="80dp"
            android:src="@mipmap/item_back"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/layout_title"
            android:layout_width="40dp"
            android:layout_height="28dp"
            android:layout_marginTop="40dp"
            android:text="更多"
            android:textColor="#ff333333"
            android:textSize="20sp"
            app:layout_constraintLeft_toRightOf="@id/menu_item_back"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <com.tencent.liteav.demo.player.ui.MenuItemView
            android:id="@+id/menu_item_favorite"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toTopOf="@id/menu_item_cast"
            app:layout_constraintLeft_toRightOf="@id/menu_item_back"
            app:layout_constraintRight_toLeftOf="@id/menu_item_share"
            app:layout_constraintTop_toTopOf="@id/layout_title" />


        <com.tencent.liteav.demo.player.ui.MenuItemView
            android:id="@+id/menu_item_share"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toTopOf="@id/menu_item_timer"
            app:layout_constraintLeft_toRightOf="@id/menu_item_favorite"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/layout_title" />


        <com.tencent.liteav.demo.player.ui.MenuItemView
            android:id="@+id/menu_item_cast"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toRightOf="@id/menu_item_back"
            app:layout_constraintRight_toLeftOf="@id/menu_item_timer"
            app:layout_constraintTop_toBottomOf="@id/menu_item_favorite" />


        <com.tencent.liteav.demo.player.ui.MenuItemView
            android:id="@+id/menu_item_timer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toRightOf="@id/menu_item_cast"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/menu_item_share" />


    </androidx.constraintlayout.widget.ConstraintLayout>
</RelativeLayout>